summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2012-06-28 21:21:23 +1000
committerAndrew Bartlett <abartlet@samba.org>2012-06-28 20:39:38 +0200
commita29bf4acf573e46b8bbb0bfe33df94b409825b27 (patch)
treec2c9b0170ee39ab5eeef065aa02e06cc0e2048b5 /testprogs
parent30fd88ed65ee470f366afec4fdd84054edda754f (diff)
downloadsamba-a29bf4acf573e46b8bbb0bfe33df94b409825b27.tar.gz
samba-a29bf4acf573e46b8bbb0bfe33df94b409825b27.tar.bz2
samba-a29bf4acf573e46b8bbb0bfe33df94b409825b27.zip
selftest: run pdbtest against s3dc as well
This validates the password expiry, account disable in the s3 auth code and the save/restore of values in tdbsam. It also provides the first test of some net sam set subcommands. Andrew Bartlett Autobuild-User(master): Andrew Bartlett <abartlet@samba.org> Autobuild-Date(master): Thu Jun 28 20:39:38 CEST 2012 on sn-devel-104
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_pdbtest.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/testprogs/blackbox/test_pdbtest.sh b/testprogs/blackbox/test_pdbtest.sh
index d5b5be3277..1e33a0b9fd 100755
--- a/testprogs/blackbox/test_pdbtest.sh
+++ b/testprogs/blackbox/test_pdbtest.sh
@@ -5,7 +5,7 @@
if [ $# -lt 2 ]; then
cat <<EOF
-Usage: test_pdbtest.sh SERVER PREFIX SMBCLIENT ENV
+Usage: test_pdbtest.sh SERVER PREFIX SMBCLIENT SMB_CONF
EOF
exit 1;
fi
@@ -13,7 +13,7 @@ fi
SERVER=$1
PREFIX=$2
smbclient=$3
-ENV=$4
+SMB_CONF=$4
shift 4
failed=0
@@ -73,7 +73,7 @@ expect Retype new SMB password:
send ${NEWUSERPASS}\n
EOF
-testit "set user password with smbpasswd" $rkpty ./tmpsmbpasswdscript $smbpasswd -L pdbtest -c $PREFIX/$ENV/etc/smb.conf || failed=`expr $failed + 1`
+testit "set user password with smbpasswd" $rkpty ./tmpsmbpasswdscript $smbpasswd -L pdbtest -c $SMB_CONF || failed=`expr $failed + 1`
USERPASS=$NEWUSERPASS
test_smbclient "Test login with user (ntlm)" 'ls' -k no -Updbtest%$NEWUSERPASS $@|| failed=`expr $failed + 1`